### Hierarchy

- JsonForms

### Implements

- OnChanges
- OnInit

## Index

### Constructors

- constructor

### Properties

- ajv
- config
- data
- dataChange
- errors
- initialized
- jsonformsService
- locale
- previousData
- previousErrors
- readonly
- renderers
- schema
- uischema
- uischemas
- validationMode

### Methods

- ngOnChanges
- ngOnInit

## Constructors

### constructor

- new JsonForms(jsonformsService: JsonFormsAngularService): JsonForms

- - Defined in jsonforms-root.component.ts:55

  #### Parameters

  - ##### jsonformsService: JsonFormsAngularService

  #### Returns JsonForms

## Properties

### ajv

ajv: Ajv

- Defined in jsonforms-root.component.ts:48

### config

config: any

- Defined in jsonforms-root.component.ts:49

### data

data: any

- Defined in jsonforms-root.component.ts:41

### dataChange

dataChange: EventEmitter<any> = new EventEmitter<any>()

- Defined in jsonforms-root.component.ts:44

### errors

errors: EventEmitter<ErrorObject[]> = new EventEmitter<ErrorObject[]>()

- Defined in jsonforms-root.component.ts:50

### Private initialized

initialized: boolean = false

- Defined in jsonforms-root.component.ts:55

### Private jsonformsService

jsonformsService: JsonFormsAngularService

- Defined in jsonforms-root.component.ts:57

### locale

locale: string

- Defined in jsonforms-root.component.ts:45

### Private previousData

previousData: any

- Defined in jsonforms-root.component.ts:52

### Private previousErrors

previousErrors: ErrorObject[]

- Defined in jsonforms-root.component.ts:53

### readonly

readonly: boolean

- Defined in jsonforms-root.component.ts:46

### renderers

renderers: JsonFormsRendererRegistryEntry[]

- Defined in jsonforms-root.component.ts:42

### schema

schema: JsonSchema

- Defined in jsonforms-root.component.ts:40

### uischema

uischema: UISchemaElement

- Defined in jsonforms-root.component.ts:39

### uischemas

uischemas: object[]

- Defined in jsonforms-root.component.ts:43

### validationMode

validationMode: ValidationMode

- Defined in jsonforms-root.component.ts:47

## Methods

### ngOnChanges

- ngOnChanges(changes: SimpleChanges): void

- - Defined in jsonforms-root.component.ts:91

  #### Parameters

  - ##### changes: SimpleChanges

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in jsonforms-root.component.ts:60

  #### Returns void

Generated using TypeDoc